:root {/*f10101 */
  --color-primary: #ff6a00;
  --color-secondary: #00849c;
  --color-gray-300: #dcdcdc;
  --color-text: #1f2937;
  --color-muted: #4b5563;

  --transition-med: all 0.3s ease;

  --radius-md: 1px;
  --shadow-card-hover: 0 8px 20px rgba(0,0,0,0.08);
  --transition-med: all 0.25s ease;



}


body { 
  margin:0;  
  font-family: "Inter"; 
  text-rendering: optimizeLegibility; 
  min-width:360px;
}

@font-face {
    font-family: 'Inter';
    src: url('/fonts/Inter/Inter-VariableFont_opsz,wght.ttf') format('ttf'),
         url('/fonts/Inter/Inter-VariableFont_opsz,wght.ttf') format('truetype'); /* Fallback for older browsers */
    font-weight: numeric;
    font-style: normal;
}

.label-ubicacion {
  color: #363636;
  font-size: 13px;
  font-weight:200;
  margin-top: 0px;
  text-align: left;
  padding:0px;
}

.main__section {
  width: 90%;
  max-width: 1300px; 
  margin: 0 auto;
  padding: 0 20px;
}

/* HERO SECTION*/

.hero {
 /* padding: 40px 40px;*/
  background: #ffffff;
}

.hero__container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
  box-sizing: border-box;
  margin:auto;
}

/* TEXTO */
.hero__content {
  flex: 1;
}

.hero__content h1 {
  font-size: 42px;
  margin-bottom: 20px;
  font-weight: 300;
}

.hero__content p {
  font-size: 18px;
  margin-bottom: 30px;
  color: #555;
}

/* BOTONES */
.hero__actions {
  display: flex;
  gap: 15px;
}

.btn {
  padding: 12px 20px;
  border: none;
  cursor: pointer;
}

.btn--primary {
  background: #f16701;
  color: #fff;
  transition: background-color 0.3s ease-in-out;
}

.btn--primary:hover {
  background: #d35902;
  
}

.btn--secondary {
  background: transparent;
  border: 1px solid #00849c;
  color: #00849c;
  transition: background-color 0.3s ease-in-out;
}

.btn--secondary:hover {
  background: #d35902;
  border: 1px solid #d35902;
  color: #ffffff;
}

/* IMAGEN */
.hero__image {
  flex: 1;
}

.hero__image img {
  width: 90%;
  height: auto;
}

/* 📱 MOBILE */
@media (max-width: 900px) {
  .hero__container {
    flex-direction: column;
    text-align: center;
  }

  .hero__actions {
    justify-content: center;
  }

  .hero__image {
    margin-top: 30px;
  }

  .header__nav{
    grid-template-columns: 1fr auto;
  }
}





/* Sección */
section {
  display: block;
  padding: 30px 0px;
  background: #ffffff;
  
}

/* Contenedor */
.section-container {
  
  margin: 20px 0px;
}

/* Header */
.section-header {
  margin-bottom: 40px;
}

.section-title {
  font-size: 42px;
  font-weight: 200;
  color: var(--color-text);
  margin-bottom: 16px;
  letter-spacing: 1px;
}

.section-description {
  font-size: 18px;
  color: var(--color-muted);
  
  line-height: 1.6;
}

/* Layout */
.section-split {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 40px;
 /* align-items: center;*/
}

/* Imagen */
.section-image {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.section-image img {
  width: 100%;
  border-radius: 1px;
  object-fit: cover;
  align-self: flex-start;
  
}

/* Lista */
.section-list {
  display: flex;
  flex-direction: column;
  
}

/* Item */
.list-item {
  display: flex;
  gap: 16px;
  align-items: flex-start;
}

.list-item-dr {
  display: flex;
  gap: 16px;
  align-items: flex-start;
  padding: 20px;
  font-size: 23px;
  font-weight: 200;
}

.circle {
  width: 10px;
  height: 10px;
  background: var(--color-primary);
  border-radius: 50%;

  min-width: 12px;
  min-height: 12px;
  flex-shrink: 0;
  aspect-ratio: 1 / 1;

  margin-top:8px;

  align-self: flex-start;
}
/* Texto */
.section-text {
  font-size: 14px
  color: var(--color-text);
  line-height: 1.6;
}

/* Responsive */
@media (max-width: 900px) {
  .section-split {
    grid-template-columns: 1fr;
  }
}

.section-dynamic-grid-horizontal-sol-cards-services {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
  
}

@media (max-width: 900px) {
  .section-dynamic-grid-horizontal-sol-cards-services {
   grid-template-columns: repeat(1, 1fr);
  }
}
/* Grid horizontal */
.section-dynamic-grid-horizontal-sol-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
  gap: 16px;
  
}

/* Responsive */
@media (max-width: 500px) {
  .section-dynamic-grid-horizontal-sol-cards {
  display:block;
  margin-bottom: 10px;
   
  }
  .horizontal-card {
    margin-bottom: 20px;
  }
}

/* Grid horizontal */
.section-dynamic-grid-horizontal-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 16px;
  
}

.section-dynamic-grid-horizontal-cards a{
  text-decoration: none;
  color: inherit;
  
}



.section-dynamic-grid {
   display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 16px;
  
  align-items: center;
  
}

 


.flex-container {
  display: flex;
  flex-wrap: wrap;     
  gap: 50px;  
  justify-content:center;
  
  
}

.card {
  display: flex;
  align-items: center;
  gap: 16px;
  padding: 16px 20px;
  position: relative;
}
/* Card horizontal */
.horizontal-card {
  display: flex;
  align-items: center;
  gap: 16px;
  background: #fafafa;
  border: 0px solid var(--color-gray-300);
  border-radius: var(--radius-md);
  padding: 16px 20px;
  transition: var(--transition-med);
  position: relative;
  color: inherit;           
  text-decoration: none;
}

/* Hover */
.horizontal-card:hover {
  box-shadow: var(--shadow-card-hover);
  transform: translateY(-2px);
  cursor:pointer;
}


.horizontal-card::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 3px;
  background: var(--color-primary);
  transition: var(--transition-med);
}

.horizontal-card:hover::before {
  width: 100%;
}

/* Icono */
.horizontal-card-visual_item {
  min-width: 70px;
  height: 70px;
  border-radius: 1px;
 
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 26px;
  color: var(--color-primary);
  align-self: flex-start;
}

/* Contenido */
.horizontal-card-content {
  flex: 1;
  align-self: flex-start;
}

/* Categoría */
.horizontal-card-tag {
  font-size: 12px;
  color: #6f6f6f;
  margin-bottom: 4px;
}

/* Título */
.horizontal-card-title {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 6px;
  
}

/* Descripción */
.horizontal-card-description {
  font-size: 13px;
  color: #525252;
  line-height: 1.6;
}

/* Flecha */
.horizontal-card-arrow {
  font-size: 20px;
  color: var(--color-primary);
  margin-left: auto;
  transition: var(--transition-med);
  align-self: flex-end;
}

/* Flecha */
.horizontal-card-arrowBlue {
  font-size: 18px;
  color: var(--color-secondary);
  margin-left: auto;
  transition: var(--transition-med);
}

.horizontal-card:hover .horizontal-card-arrow {
  transform: translateX(4px);
}




/*banner*/
 .banner {
    background-color: #00849c;
    color: #ffffff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 24px;
    font-family: sans-serif;

    padding: 40px 40px;
    
  }
  .banner-title {
    margin: 0;
    
    font-size: 32px;
    font-weight: 200;
    color: #FAFAFA;
    margin-bottom: 16px;
    letter-spacing: 1px;
  }

  .banner p {
    margin: 0;
    font-size: 18px;
    font-weight: 500;

   
    color: #FAFAFA;
    
  }

 

  .banner-btn {
    background-color: #ff0055; 
    color: #fff;
    text-decoration: none;
    padding: 10px 18px;
    font-weight: bold;
    border-radius: 3px;
    white-space: nowrap;
  }

 /* Contenedor */
.accordion {
  max-width:content-box;
  width: 100%;
  margin: auto;
  border-top: 1px solid #ccc;
}

/* Item */
.accordion-item {
  border-bottom: 1px solid #ccc;
  
}


/* Hover */
.accordion-item:hover {
  box-shadow: var(--shadow-card-hover);
  transform: translateY(-2px);
  cursor:pointer;
  border-top: 1px solid #ccc;
  
}

/* Botón */
.accordion-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 18px;
  cursor: pointer;
  background: #FFF;
  font-weight: 500;
  font-size:20px;
}

/* Flecha */
.accordion-header::after {
  content: "⌄";
  font-size: 18px;
  transition: transform 0.3s ease;
  color:var(--color-primary);
}

/* Ocultar checkbox */
input[type="checkbox"] {
    /*display: none;*/
}


.accordion-checkbox {
  display:none;
}

/* Contenido */
.accordion-content {
  max-height: 0;
  overflow: hidden;
  background: white;
  transition: max-height 0.3s ease;
  padding: 0 18px;
  cursor:default;
  
}

/* Texto interno */
.accordion-content p {
  margin: 15px 0;
   font-weight: 350;
   font-size:18px;
   line-height: 1.5;
}

/* Cuando está abierto */
input:checked + .accordion-header::after {
  transform: rotate(180deg);
}

input:checked + .accordion-header + .accordion-content {
  max-height: 200px;
}

@media (max-width: 768px) {

  .accordion {
    width: 100%;
  }

  .accordion-header {
    padding: 14px;
    font-size: 14px;
  }

  .accordion-content {
    padding: 0 14px;
  }

  .accordion-content p {
    font-size: 13px;
  }


}





/* Sección */
  .estadisticas {
    background: #fafafa;
    padding: 50px 20px;
  }

  /* Contenedor */
  .stats-container {
    max-width: 1100px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    gap: 40px;
  }

  /* Cada bloque */
  .stat {
    flex: 1;
  }

  /* Número grande */
  .stat h2 {
    color: #ff6a00;
    font-size: 55px;
    margin-bottom: 10px;
    font-weight: 300;
  }

  /* Texto principal */
  .stat p {
    font-size: 18px;
    color: #333;
    line-height: 1.5;
    margin-bottom: 10px;
  }

  /* Fuente */
  .stat span {
    font-size: 14px;
    color: #777;
    display: block;
  }

  /* 📱 Responsive */
  @media (max-width: 768px) {
    .stats-container {
      flex-direction: column;
      gap: 30px;
    }

    .stat {
      text-align: center;
    }
  }






  .more-click {
  font-size: 16px;
  color: var(--color-secondary);
  
  transition: var(--transition-med);

  text-decoration: none;
  font-size: 14px;
  color:  var(--color-secondary);
  font-weight: 500;
  display: inline-flex;
  align-items: center;
  gap: 5px;
  margin-top: auto;
  margin-bottom:10px;
  text-align: right;

}

.more-click:hover {
  text-decoration: underline;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
}

.logo-grid {
  display: grid;
  justify-items: center; /* centra horizontalmente cada item */
  grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
  gap: 50px;
  
}



.logo {
  display: flex;
  align-items: center;
  gap: 16px;
  
  border: 0px solid var(--color-gray-300);
  border-radius: var(--radius-md);
  padding: 16px 20px;
  transition: var(--transition-med);
  position: relative;
   align-content: center;
}

.logo img {

  object-fit: contain;

  /* estilo neutral */
  /*
  filter: grayscale(100%);
  opacity: 0.8;
  transition: all 0.2s ease;
  */
  }

/* opcional: hover */
.logo img:hover {
  filter: none;
  opacity: 1;
}

/* logos muy horizontales (texto largo) */
.logo--wide  {
    max-width: 90px;
    max-height:50px;
    
  }
/* logos muy altos o compactos */
.logo--tall {
  max-width: 50px;
    max-height:90px;
}







   flex-container {
  display: flex;
  flex-wrap: wrap;     /* permite saltos de línea */
  gap: 50px;  
  justify-content:center;
  
  
}



  .cards-container {
  display: flex;
  flex-wrap: wrap;     /* permite saltos de línea */
  gap: 50px;  
  justify-content:center;
  align-items: stretch; /* asegura misma altura */
  
}

.vercial-cards-container {
   display: flex;
  flex-wrap: wrap;     
  gap: 50px;  
  justify-content:center;
  align-items: stretch; /* asegura misma altura */

}
    .vertical-card {
  width: 320px;
  background-color: #fafafa;
  border-radius: 1px;
  padding: 20px;
  transition: transform 0.2s ease, box-shadow 0.2s ease;

  display: flex;
  flex-direction: column; /* clave */

  
  
}

.vertical-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
}

.vertical-card img {
  width: 100%;
  border-radius: 1px;
  margin-bottom: 15px;
}

.vertical-card h3 {
  font-size: 18px;
  font-weight:450;
  margin-bottom: 10px;
  color: #1a1a1a;
}

.vertical-card p {
  font-size: 16px;
  color: #555;
  line-height: 1.5;
  margin-bottom: 15px;
}

.vertical-card a {
  text-decoration: none;
  font-size: 14px;
  color:  var(--color-secondary);
  font-weight: 500;
  display: inline-flex;
  align-items: center;
  gap: 5px;
  margin-top: auto;
}

.vertical-card a:hover {
  text-decoration: underline;
}


.vertical-card:hover {
  box-shadow: var(--shadow-card-hover);
  transform: translateY(-2px);
  cursor:pointer;
}


.vertical-card::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 3px;
  background: var(--color-primary);
  transition: var(--transition-med);
}

.vertical-card:hover::before {
  width: 100%;
}










textarea{
  width:100%;  
  text-align: left; 
  border-top-style:solid; 
  border-width:1px; 
  margin-top:15px;
  margin-bottom: 10px;
  box-sizing: border-box;
}

.textBox{
  width: 100%;
  text-align: left;
  box-sizing: border-box;
  margin-bottom: 10px;
  line-height: 35px;
  
}

label {

  align-items: center;
  gap: 8px;
}

.checkboxAlterno{
  display:none;
}

      
.interes-container {
  max-width: 100%;
  
  
  align-items: start; /* 👈 alineados arriba */
  display:flex;

  margin-top:10px;
  

}


/* Cada bloque */
.interes-card {
 
  margin-left: auto;
  margin-right: auto;
  display: flex;
  align-items: center; 
  gap: 8px; 
  
}

  .interes-card p {
  font-size: 15px;
  color: #333;
  line-height: 1.5;
  margin-bottom: 10px;
  
   
}

.solution-icon {
  color: #FFF;
  font-size: 60px;
  font-weight: 100;
  background: #2bb6cf;
  align-self: flex-start;
}



  .testimonios {
  background-color: #FAFAFA;
  color: var(--color-muted);
  padding: 20px 20px;
  
}

.testimonios-container {

  margin: auto;
}

.testimonios-title {
  text-align: center;
  font-size: 30px;
  font-weight: 400;
  color: var(--color-muted);
  margin-bottom: 40px;
  letter-spacing: 1px;
}

.testimonios-carousel {
  position: relative;
  overflow: hidden;
}

.testimonios-slides {
  display: flex;
  transition: transform 0.4s ease;
}

.testimonios-slide {
  min-width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
}

.testimonios-text {
  flex: 1;
}

.testimonios-text p {
  font-size: 20px;
  line-height: 1.5;
}

.testimonios-text span {
  display: block;
  margin-top: 20px;
  font-size: 14px;
  opacity: 0.8;
}

.testimonios-image img {
  width: 200px;
  height: 200px;
  border-radius: 50%;
}

.testimonios-controls {
  margin-top: 30px;
  text-align: center;
}

.testimonios-controls button {
  background-color: #f16701;
  border: none;
  color: white;
  padding: 11px 16px;
  margin: 0 50px;
  cursor: pointer;
  border-radius: 50%;
  
}

.testimonios-controls button:hover {
  opacity: 0.8;
}

  .carrusel {
  width: 100%;
  overflow: hidden;
  background: #FAFAFA;
}

.track {
  display: flex;
  width: max-content;
  animation: scroll 30s linear infinite;
  will-change: transform;
  gap:50px;
}

.track img {

  flex-shrink: 0;
}




/* animación lenta */
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

@media (max-width: 1312px) {
    .vertical-card {
    width: 220px;
  }
}

@media (max-width: 978px) {
    .vertical-card {
    width: 196px;
  }
}
/* Cuando ya no caben bien 4 */
@media (max-width: 900px) {
  .interes-container {
    grid-template-columns: repeat(2, 1fr); /* 👈 2 y 2 */
  }
  .vertical-card {
    width: 40%;
  }
  .vercial-cards-container {
    justify-content: left;
  }
}

@media (max-width: 855px) {
  .vercial-cards-container{
    justify-content: left;
  }
}

@media (max-width: 730px) {
  .vertical-card {
    width: 100%;
  }
    .interes-card p {
    font-size: 12px;
  
  }

@media (max-width: 600px) {
  .interes-container {
    flex-direction: column;
  }
   
  
}